uniform sampler2D Sampler;

uniform	float2 	texel_size;									// set automatically by gfx engine

uniform float	alpha_mul;

float4 main(float4 position : TEXCOORD0, float2 vertpos : VPOS) : COLOR0
{
	float4 nowcol	= tex2D(Sampler, float2(position.x, position.y));
	
	nowcol.a *= alpha_mul;
	
    return nowcol;
}